Next: fmod, Previous: fmax, Up: Math

### 1.23 `fmin`, `fminf`–minimum

Synopsis

         #include <math.h>
         double fmin(double x, double y);
         float fminf(float x, float y);

Description
The `fmin` functions determine the minimum numeric value of their arguments. NaN arguments are treated as missing data: if one argument is a NaN and the other numeric, then the `fmin` functions choose the numeric value.

Returns
The `fmin` functions return the minimum numeric value of their arguments.

Portability
ANSI C, POSIX.